Bug 1313484 - plasmashell hangs on start
plasmashell hangs on start
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
23
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-01 11:49 EST by Martin Kyral
Modified: 2016-12-20 14:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:10:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kyral 2016-03-01 11:49:27 EST
Description of problem:
Since last week, I can't use KDE anymore because plasmashell hangs upon start.

strace:
msg_flags=MSG_CMSG_CLOEXEC}, MSG_CMSG_CLOEXEC) = 89
recvmsg(7, 0x7fffc9dcf620, MSG_CMSG_CLOEXEC) = -1 EAGAIN (Resource temporarily unavailable)
    sendmsg(7, {msg_name(0)=NULL, msg_iov(2)=[{"l\1\1\1\251\0\0\0e\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/fre"..., 144}, {"\244\0\0\0type='signal',sender='org.kd"..., 169}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 313
    sendmsg(7, {msg_name(0)=NULL, msg_iov(2)=[{"l\1\1\1%\0\0\0f\0\0\0\237\0\0\0\1\1o\0\26\0\0\0/StatusN"..., 176}, {" \0\0\0org.kde.StatusNotifierHost-2"..., 37}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 213
    sendmsg(7, {msg_name(0)=NULL, msg_iov(2)=[{"l\1\0\1F\0\0\0g\0\0\0\210\0\0\0\1\1o\0\26\0\0\0/StatusN"..., 152}, {"\35\0\0\0org.kde.StatusNotifierWatche"..., 70}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL) = 222
    poll([{fd=7, events=POLLIN}], 1, 25000


backtrace:
0x00007f19f873bfdd in poll () from /lib64/libc.so.6
Missing separate debuginfos, use: dnf debuginfo-install bzip2-libs-1.0.6-19.fc23.x86_64 flac-libs-1.3.1-5.fc23.x86_64 glibc-2.22-10.fc23.x86_64 kf5-frameworkintegration-libs-5.19.0-1.fc23.x86_64 kf5-kitemmodels-5.19.0-1.fc23.x86_64 kf5-kpeople-5.19.0-1.fc23.x86_64 libgcc-5.3.1-2.fc23.x86_64 libinput-1.1.8-1.fc23.x86_64 libstdc++-5.3.1-2.fc23.x86_64 PackageKit-Qt5-0.9.5-5.fc23.x86_64 plasma-breeze-5.5.4-1.fc23.x86_64 plasma-desktop-5.5.4-1.fc23.x86_64 qt5-qtquickcontrols-5.5.1-2.fc23.x86_64                                                                            
(gdb) i th                                                                                                                                                                                    
  Id   Target Id         Frame                                                                                                                                                                
    7    Thread 0x7f19e0e18700 (LWP 29711) "QXcbEventReader" 0x00007f19f873bfdd in poll () from /lib64/libc.so.6                                                                              
      6    Thread 0x7f19da1ca700 (LWP 29712) "QQmlThread" 0x00007f19f873bfdd in poll () from /lib64/libc.so.6                                                                                 
        5    Thread 0x7f19d1504700 (LWP 29713) "QQmlThread" 0x00007f19f873bfdd in poll () from /lib64/libc.so.6                                                                               
          4    Thread 0x7f19cba4b700 (LWP 29714) "QQmlThread" 0x00007f19f873bfdd in poll () from /lib64/libc.so.6                                                                             
            3    Thread 0x7f19ca15e700 (LWP 29715) "plasmashell" 0x00007f19f7a84b10 in pthread_cond_wait@@GLIBC_2.3.2 ()                                                                      
               from /lib64/libpthread.so.0                                                                                                                                                    
                 2    Thread 0x7f194263c700 (LWP 29716) "QQuickPixmapRea" 0x00007f19f873bfdd in poll () from /lib64/libc.so.6                                                                 
                 * 1    Thread 0x7f1a00d56940 (LWP 29710) "plasmashell" 0x00007f19f873bfdd in poll () from /lib64/libc.so.6                                                                   
                 (gdb) t a a bt                                                                                                                                                               
                                                                                                                                                                                              
                 Thread 7 (Thread 0x7f19e0e18700 (LWP 29711)):                                                                                                                                
#0  0x00007f19f873bfdd in poll () at /lib64/libc.so.6
#1  0x00007f19febf5272 in _xcb_conn_wait (__timeout=-1, __nfds=1, __fds=0x7f19e0e17b80) at /usr/include/bits/poll2.h:46
#2  0x00007f19febf5272 in _xcb_conn_wait (c=c@entry=0x5564b0324930, cond=cond@entry=0x5564b0324970, vector=vector@entry=0x0, count=count@entry=0x0) at xcb_conn.c:459
#3  0x00007f19febf6ee7 in xcb_wait_for_event (c=0x5564b0324930) at xcb_in.c:693
#4  0x00007f19e2da2da9 in QXcbEventReader::run() (this=0x5564b032f0e0) at qxcbconnection.cpp:1255
#5  0x00007f19f93443de in QThreadPrivate::start(void*) (arg=0x5564b032f0e0) at thread/qthread_unix.cpp:331
#6  0x00007f19f7a7f60a in start_thread () at /lib64/libpthread.so.0
#7  0x00007f19f8747a4d in clone () at /lib64/libc.so.6

                     Thread 6 (Thread 0x7f19da1ca700 (LWP 29712)):
#0  0x00007f19f873bfdd in poll () at /lib64/libc.so.6
#1  0x00007f19f3c6116c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f19d4003070, timeout=<optimized out>, context=0x7f19d4000990) at gmain.c:4135
#2  0x00007f19f3c6116c in g_main_context_iterate (context=context@entry=0x7f19d4000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007f19f3c6127c in g_main_context_iteration (context=0x7f19d4000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f19f957beaf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f19d40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f19f9522eca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f19da1c9c60, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f19f933f434 in QThread::exec() (this=this@entry=0x5564b040f7a0) at thread/qthread.cpp:503
#7  0x00007f19fd68c9b5 in QQmlThreadPrivate::run() (this=0x5564b040f7a0)
    at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007f19f93443de in QThreadPrivate::start(void*) (arg=0x5564b040f7a0) at thread/qthread_unix.cpp:331
#9  0x00007f19f7a7f60a in start_thread () at /lib64/libpthread.so.0
#10 0x00007f19f8747a4d in clone () at /lib64/libc.so.6

    Thread 5 (Thread 0x7f19d1504700 (LWP 29713)):
#0  0x00007f19f873bfdd in poll () at /lib64/libc.so.6
#1  0x00007f19f3c6116c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f19cc002e70, timeout=<optimized out>, context=0x7f19cc000990) at gmain.c:4135
#2  0x00007f19f3c6116c in g_main_context_iterate (context=context@entry=0x7f19cc000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007f19f3c6127c in g_main_context_iteration (context=0x7f19cc000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f19f957beaf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f19cc0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f19f9522eca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f19d1503c60, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f19f933f434 in QThread::exec() (this=this@entry=0x5564b06bf870) at thread/qthread.cpp:503
#7  0x00007f19fd68c9b5 in QQmlThreadPrivate::run() (this=0x5564b06bf870)
    at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007f19f93443de in QThreadPrivate::start(void*) (arg=0x5564b06bf870) at thread/qthread_unix.cpp:331
#9  0x00007f19f7a7f60a in start_thread () at /lib64/libpthread.so.0
#10 0x00007f19f8747a4d in clone () at /lib64/libc.so.6

    Thread 4 (Thread 0x7f19cba4b700 (LWP 29714)):
#0  0x00007f19f873bfdd in poll () at /lib64/libc.so.6
#1  0x00007f19f3c6116c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f19c4003070, timeout=<optimized out>, context=0x7f19c4000990) at gmain.c:4135
#2  0x00007f19f3c6116c in g_main_context_iterate (context=context@entry=0x7f19c4000990, block=block@entry=1, dispatch=dispatch@entry---Type <return> to continue, or q <return> to quit---
        =1, self=<optimized out>) at gmain.c:3835
#3  0x00007f19f3c6127c in g_main_context_iteration (context=0x7f19c4000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f19f957beaf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f19c40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f19f9522eca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f19cba4ac60, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f19f933f434 in QThread::exec() (this=this@entry=0x5564b081c800) at thread/qthread.cpp:503
#7  0x00007f19fd68c9b5 in QQmlThreadPrivate::run() (this=0x5564b081c800)
    at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007f19f93443de in QThreadPrivate::start(void*) (arg=0x5564b081c800) at thread/qthread_unix.cpp:331
#9  0x00007f19f7a7f60a in start_thread () at /lib64/libpthread.so.0
#10 0x00007f19f8747a4d in clone () at /lib64/libc.so.6

    Thread 3 (Thread 0x7f19ca15e700 (LWP 29715)):
#0  0x00007f19f7a84b10 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1a004e5514 in QTWTF::TCMalloc_PageHeap::scavengerThread() (this=0x7f1a007ce380 <QTWTF::pageheap_memory>)
            at /usr/src/debug/qtscript-opensource-src-5.5.1/src/3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f1a004e5559 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) (context=<optimized out>)
                at /usr/src/debug/qtscript-opensource-src-5.5.1/src/3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f19f7a7f60a in start_thread () at /lib64/libpthread.so.0
#4  0x00007f19f8747a4d in clone () at /lib64/libc.so.6

                Thread 2 (Thread 0x7f194263c700 (LWP 29716)):
#0  0x00007f19f873bfdd in poll () at /lib64/libc.so.6
#1  0x00007f19f3c6116c in g_main_context_iterate (priority=2147483647, n_fds=1, fds=0x7f193c003120, timeout=<optimized out>, context=0x7f193c000990) at gmain.c:4135
#2  0x00007f19f3c6116c in g_main_context_iterate (context=context@entry=0x7f193c000990, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3835
#3  0x00007f19f3c6127c in g_main_context_iteration (context=0x7f193c000990, may_block=may_block@entry=1) at gmain.c:3901
#4  0x00007f19f957beaf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f193c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#5  0x00007f19f9522eca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f194263bc10, flags=..., 
            flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007f19f933f434 in QThread::exec() (this=this@entry=0x5564b0c3f360) at thread/qthread.cpp:503
#7  0x00007f19fe23a8d6 in QQuickPixmapReader::run() (this=0x5564b0c3f360)
    at /usr/src/debug/qtdeclarative-opensource-src-5.5.1/src/quick/util/qquickpixmapcache.cpp:760
#8  0x00007f19f93443de in QThreadPrivate::start(void*) (arg=0x5564b0c3f360) at thread/qthread_unix.cpp:331
#9  0x00007f19f7a7f60a in start_thread () at /lib64/libpthread.so.0
#10 0x00007f19f8747a4d in clone () at /lib64/libc.so.6

    Thread 1 (Thread 0x7f1a00d56940 (LWP 29710)):
#0  0x00007f19f873bfdd in poll () at /lib64/libc.so.6
#1  0x00007f19f39fa992 in _dbus_poll (__timeout=<optimized out>, __nfds=<optimized out>, __fds=<optimized out>)
            at /usr/include/bits/poll2.h:46
#2  0x00007f19f39fa992 in _dbus_poll (fds=<optimized out>, n_fds=<optimized out>, timeout_milliseconds=<optimized out>)
                at ../../dbus/dbus-sysdeps-unix.c:2761
#3  0x00007f19f39f3d2f in socket_do_iteration (transport=0x5564b0369ff0, flags=6, timeout_milliseconds=<optimized out>)
                    at ../../dbus/dbus-transport-socket.c:1167
#4  0x00007f19f39f299e in _dbus_transport_do_iteration (transport=0x5564b0369ff0, flags=<optimized out>, timeout_milliseconds=<optimized out>) at ../../dbus/dbus-transport.c:1001
#5  0x00007f19f39db604 in _dbus_connection_do_iteration_unlocked (connection=0x5564b0369b00, pending=<optimized out>, flags=6, timeout_milliseconds=25000) at ../../dbus/dbus-connection.c:1227
#6  0x00007f19f39dbfdd in _dbus_connection_block_pending_call (pending=0x5564b2246340) at ../../dbus/dbus-connection.c:2432
                    ---Type <return> to continue, or q <return> to quit---
#7  0x00007f19f39ecb2a in dbus_pending_call_block (pending=<optimized out>) at ../../dbus/dbus-pending-call.c:741
#8  0x00007f19f39dc5ba in dbus_connection_send_with_reply_and_block (connection=0x5564b0369b00, message=message@entry=0x5564b040f080, timeout_milliseconds=timeout_milliseconds@entry=-1, error=error@entry=0x7ffe46b46360) at ../../dbus/dbus-connection.c:3575
#9  0x00007f19fa2e1980 in QDBusConnectionPrivate::sendWithReply(QDBusMessage const&, int, int) (error=<optimized out>, timeout_milliseconds=-1, message=0x5564b040f080, connection=<optimized out>) at qdbus_symbols_p.h:208
#10 0x00007f19fa2e1980 in QDBusConnectionPrivate::sendWithReply(QDBusMessage const&, int, int) (this=0x5564b036fb10, message=..., sendMode=<optimized out>, timeout=-1) at qdbusintegrator.cpp:2044
#11 0x00007f19fa2cefcb in QDBusConnection::call(QDBusMessage const&, QDBus::CallMode, int) const (this=this@entry=0x5564b2c020d0, message=..., mode=mode@entry=QDBus::Block, timeout=<optimized out>) at qdbusconnection.cpp:564
#12 0x00007f19fa2eb584 in QDBusAbstractInterfacePrivate::property(QMetaProperty const&, void*) const (this=0x5564b2c02060, mp=..., returnValuePtr=0x7ffe46b46720) at qdbusabstractinterface.cpp:138
#13 0x00007f19fa2ee05f in QDBusAbstractInterfaceBase::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x5564b278a950, _c=_c@entry=QMetaObject::ReadProperty, _id=<optimized out>, _a=_a@entry=0x7ffe46b46760) at qdbusabstractinterface.cpp:250
#14 0x00007f19fa2ee1d5 in QDBusAbstractInterface::qt_metacall(QMetaObject::Call, int, void**) (this=this@entry=0x5564b278a950, _c=_c@entry=QMetaObject::ReadProperty, _id=<optimized out>, _a=_a@entry=0x7ffe46b46760) at .moc/moc_qdbusabstractinterface.cpp:97
#15 0x00007f193952b595 in OrgKdeStatusNotifierWatcherInterface::qt_metacall(QMetaObject::Call, int, void**) (this=0x5564b278a950, _c=QMetaObject::ReadProperty, _id=<optimized out>, _a=0x7ffe46b46760)
                        at /usr/src/debug/plasma-workspace-5.5.4/x86_64-redhat-linux-gnu/dataengines/statusnotifieritem/statusnotifierwatcher_interface.moc:184
#16 0x00007f19f9532dee in QMetaProperty::read(QObject const*) const (this=this@entry=0x7ffe46b467d0, object=object@entry=0x5564b278a950) at kernel/qmetaobject.cpp:3017
#17 0x00007f19f9552e0f in QObject::property(char const*) const (this=0x5564b278a950, name=name@entry=0x7f193952e954 "ProtocolVersion") at kernel/qobject.cpp:3893
#18 0x00007f193950c7e7 in StatusNotifierItemEngine::registerWatcher(QString const&) (this=this@entry=0x5564b27fc3d0, service=...)
                            at /usr/src/debug/plasma-workspace-5.5.4/dataengines/statusnotifieritem/statusnotifieritem_engine.cpp:93
#19 0x00007f193950d150 in StatusNotifierItemEngine::init() (service=..., this=0x5564b27fc3d0)
                                at /usr/src/debug/plasma-workspace-5.5.4/dataengines/statusnotifieritem/statusnotifieritem_engine.cpp:87
#20 0x00007f193950d150 in StatusNotifierItemEngine::init() (this=this@entry=0x5564b27fc3d0)
                                    at /usr/src/debug/plasma-workspace-5.5.4/dataengines/statusnotifieritem/statusnotifieritem_engine.cpp:67
#21 0x00007f193950ded5 in KPluginFactory::createInstance<StatusNotifierItemEngine, QObject>(QWidget*, QObject*, QList<QVariant> const&) (this=0x5564b27fc3d0) at /usr/src/debug/plasma-workspace-5.5.4/dataengines/statusnotifieritem/statusnotifieritem_engine.cpp:58
#22 0x00007f193950ded5 in KPluginFactory::createInstance<StatusNotifierItemEngine, QObject>(QWidget*, QObject*, QList<QVariant> const&) (args=..., parent=0x0, this=0x5564b27fc3d0)
                                        at /usr/src/debug/plasma-workspace-5.5.4/dataengines/statusnotifieritem/statusnotifieritem_engine.cpp:35
#23 0x00007f193950ded5 in KPluginFactory::createInstance<StatusNotifierItemEngine, QObject>(QWidget*, QObject*, QList<QVariant> const&) (parentWidget=<optimized out>, parent=<optimized out>, args=...) at /usr/include/KF5/KCoreAddons/kpluginfactory.h:477
#24 0x00007f19fba40fb0 in KPluginFactory::create(char const*, QWidget*, QObject*, QList<QVariant> const&, QString const&) (this=this@entry=0x5564b2832c80, iface=0x7f19fe9cbb88 <qt_meta_stringdata_Plasma__DataEngine+552> "Plasma::DataEngine", parentWidget=parentWidget@entry=0x0, parent=parent@entry=0x0, args=..., keyword=...)
                                            at /usr/src/debug/kcoreaddons-5.19.0/src/lib/plugin/kpluginfactory.cpp:145
#25 0x00007f19fe9542f9 in Plasma::PluginLoader::loadDataEngine(QString const&) (args=..., parent=0x0, this=0x5564b2832c80)
                                                at /usr/include/KF5/KCoreAddons/kpluginfactory.h:495
#26 0x00007f19fe9542f9 in Plasma::PluginLoader::loadDataEngine(QString const&) (this=<optimized out>, name=...)
                                                    at /usr/src/debug/plasma-framework-5.19.0/src/plasma/pluginloader.cpp:294
#27 0x00007f19fe986d80 in Plasma::DataEngineManager::loadEngine(QString const&) (this=0x7f19febea0d0 <Plasma::(anonymous namespace)::Q_QGS_privateDataEngineManagerSelf::innerFunction()::holder>, name=...)
                                                        at /usr/src/debug/plasma-framework-5.19.0/src/plasma/private/dataenginemanager.cpp:136
#28 0x00007f19fe980191 in Plasma::DataEngineConsumer::dataEngine(QString const&) (this=this@entry=0x5564b2934560, name=...)
                                                            at /usr/src/debug/plasma-framework-5.19.0/src/plasma/dataengineconsumer.cpp:103
#29 0x00007f193a3cbdce in SystemTray::DBusSystemTrayProtocol::DBusSystemTrayProtocol(QObject*) (this=0x5564b2930370, parent=<optimized out>) at /usr/src/debug/plasma-workspace-5.5.4/applets/systemtray/plugin/protocols/dbussystemtray/dbussystemtrayprotocol.cpp:36
#30 0x00007f193a3c07a3 in SystemTray::Host::init() (this=0x5564b293caf0)
                                                                at /usr/src/debug/plasma-workspace-5.5.4/applets/systemtray/plugin/host.cpp:113
                                                                ---Type <return> to continue, or q <return> to quit---
#31 0x00007f193a3d9605 in SystemTray::Host::qt_static_metacall(QObject*, QMetaObject::Call, int, void**) (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>)
                                                                    at /usr/src/debug/plasma-workspace-5.5.4/x86_64-redhat-linux-gnu/applets/systemtray/plugin/moc_host.cpp:186
#32 0x00007f19f9555161 in QObject::event(QEvent*) (this=0x5564b293caf0, e=<optimized out>) at kernel/qobject.cpp:1239
#33 0x00007f19faad941c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=this@entry=
            0x5564b0318460, receiver=receiver@entry=0x5564b293caf0, e=e@entry=0x5564b2943b50) at kernel/qapplication.cpp:3716
#34 0x00007f19faade8e6 in QApplication::notify(QObject*, QEvent*) (this=0x7ffe46b47470, receiver=0x5564b293caf0, e=0x5564b2943b50)
    at kernel/qapplication.cpp:3499
#35 0x00007f19f952573b in QCoreApplication::notifyInternal(QObject*, QEvent*) (this=0x7ffe46b47470, receiver=0x5564b293caf0, event=event@entry=0x5564b2943b50) at kernel/qcoreapplication.cpp:965
#36 0x00007f19f9527b36 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (event=0x5564b2943b50, receiver=<optimized out>) at kernel/qcoreapplication.h:224
#37 0x00007f19f9527b36 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x5564b030e550) at kernel/qcoreapplication.cpp:1593
#38 0x00007f19f9528018 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1451
#39 0x00007f19f957baa3 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x5564b030def0)
        at kernel/qeventdispatcher_glib.cpp:271
#40 0x00007f19f3c60e3a in g_main_context_dispatch (context=0x7f19dc0016f0) at gmain.c:3154
#41 0x00007f19f3c60e3a in g_main_context_dispatch (context=context@entry=0x7f19dc0016f0) at gmain.c:3769
#42 0x00007f19f3c611d0 in g_main_context_iterate (context=context@entry=0x7f19dc0016f0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3840
#43 0x00007f19f3c6127c in g_main_context_iteration (context=0x7f19dc0016f0, may_block=may_block@entry=1) at gmain.c:3901
#44 0x00007f19f957beaf in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x5564b0352220, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#45 0x00007f19f9522eca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffe46b47310, flags=...,
            flags@entry=...) at kernel/qeventloop.cpp:204
#46 0x00007f19f952afac in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1229
#47 0x00005564af0b208a in main(int, char**) (argc=1, argv=<optimized out>)
    at /usr/src/debug/plasma-workspace-5.5.4/shell/main.cpp:181

I created new user and met the same problem => it is not a configuration issue.


Version-Release number of selected component (if applicable):
plasma-workspace-5.5.4-2.fc23

How reproducible:
always


Steps to Reproduce:
1. simply start plasmashell. May it be when starting KDE or from konsole..
2.
3.

Actual results:
plasmashell hangs


Expected results:


Additional info:
Comment 1 Martin Kyral 2016-03-01 12:14:14 EST
After reboot, plasmashell starts correctly. This I suspect this xorg-x11-drv-intel update to be the root cause of this problem:

https://bodhi.fedoraproject.org/updates/FEDORA-2016-606ca05253

I downgraded it before.
Comment 2 Martin Kyral 2016-03-02 05:53:36 EST
Perheaps re-assign this bug to xorg-x11-drv-intel? Or will plasmadesktop be fixed so it won't break with DRI3 enabled?
Comment 3 Fedora End Of Life 2016-11-24 10:52:56 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 14:10:31 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.